GCLOUD_CONTAINER_NODE-POOLS_CREATE(1)

NAME

gcloud container node-pools create - create a node pool in a running cluster

SYNOPSIS

gcloud container node-pools create NAME [--cluster CLUSTER] [--disk-size DISK_SIZE] [--no-enable-cloud-endpoints] [--image-type IMAGE_TYPE] [--machine-type MACHINE_TYPE, -m MACHINE_TYPE] [--num-nodes NUM_NODES; default="3"] [--scopes SCOPE,[SCOPE,...]] [--zone ZONE, -z ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud container node-pools create facilitates the creation of a node pool in a Google Container Engine cluster. A variety of options exists to customize the node configuration and the number of nodes created.

POSITIONAL ARGUMENTS
NAME
    The name of the node pool to create.

FLAGS
--cluster CLUSTER
    The cluster to add the node pool to.
--disk-size DISK_SIZE
    Size in GB for node VM boot disks. Defaults to 100GB.
--enable-cloud-endpoints
    Automatically enable Google Cloud Endpoints to take advantage of API management features. Enabled by default, use --no-enable-cloud-endpoints to disable.
--image-type IMAGE_TYPE
    The image type to use for the node pool. Defaults to server-specified. Image Type specifies the base OS that the nodes in the node pool will run on. If an image type is specified, that will be assigned to the node pool and all future upgrades will use the specified image type. If it is not specified the server will pick the default image type. The default image type and the list of valid image types are available using the following command.
        $ gcloud container get-server-config
--machine-type MACHINE_TYPE, -m MACHINE_TYPE
    The type of machine to use for nodes. Defaults to server-specified
--num-nodes NUM_NODES; default="3"
    The number of nodes in the node pool in each of the cluster's zones.
--scopes SCOPE,[SCOPE,...]
    Specifies scopes for the node instances. The project's default service account is used. Examples:
        $ gcloud container node-pools create example-cluster \
            --scopes https://www.googleapis.com/auth/devstorage.read_only
        $ gcloud container node-pools create example-cluster \
            --scopes bigquery,storage-rw,compute-ro
    Multiple SCOPEs can specified, separated by commas. The scopes necessary for the cluster to function properly (compute-rw, storage-ro), are always added, even if not explicitly specified. SCOPE can be either the full URI of the scope or an alias. Available aliases are: Alias,URI bigquery,https://www.googleapis.com/auth/bigquery cloud-platform,https://www.googleapis.com/auth/cloud-platform compute-ro,https://www.googleapis.com/auth/compute.readonly compute-rw,https://www.googleapis.com/auth/compute datastore,https://www.googleapis.com/auth/datastore logging-write,https://www.googleapis.com/auth/logging.write monitoring,https://www.googleapis.com/auth/monitoring monitoring-write,https://www.googleapis.com/auth/monitoring.write service-control,https://www.googleapis.com/auth/servicecontrol service-management,https://www.googleapis.com/auth/service.management.readonly sql,https://www.googleapis.com/auth/sqlservice sql-admin,https://www.googleapis.com/auth/sqlservice.admin storage-full,https://www.googleapis.com/auth/devstorage.full_control storage-ro,https://www.googleapis.com/auth/devstorage.read_only storage-rw,https://www.googleapis.com/auth/devstorage.read_write taskqueue,https://www.googleapis.com/auth/taskqueue useraccounts-ro,https://www.googleapis.com/auth/cloud.useraccounts.readonly useraccounts-rw,https://www.googleapis.com/auth/cloud.useraccounts userinfo-email,https://www.googleapis.com/auth/userinfo.email
--zone ZONE, -z ZONE
    The compute zone (e.g. us-central1-a) for the cluster

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To create a new node pool "node-pool-1" with the default options in the cluster "sample-cluster", run:
    $ gcloud container node-pools create node-pool-1 \
        --cluster=sample-cluster
The new node pool will show up in the cluster after all the nodes have been provisioned. To create a node pool with 5 nodes, run:
    $ gcloud container node-pools create node-pool-1 \
        --cluster=sample-cluster --num-nodes=5